<?php
/* 
   This file is a plug-in to the 'Science Fair In A Box' project
   SFIAB Website: http://www.sfiab.ca

   Copyright (C) 2011 At Work Software (dennis@spanogle.net> 
   Copyright (C) 2011 Dennis Spanogle <dennis@spanogle.net>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation, version 2.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; see the file COPYING.  If not, write to
   the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.
*/
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>SFIAB Evaluations Export</title>
</head>

<body>
</body>
</html>
<?php
include "sfiab_common.inc.php";   // check SFIAB install and get config etc.
include "eval_common.inc.php";    // check Evaluations setup and get eval_config
include "eval_menu_inc.php";
echo "<h2>Export Data</h2><br /><br />";

/*   Options
1. Most information for preslugging scoring forms  (one record per project - judgeteam assignment) (includes scheme_id and...
2. Eval_criteria Table  with scheme_dscheme_name and assignto_project_when equation.  
3. Eval_levels Table with scheme_id ...
4. Eval_projects_entries:  One record for every  project - judgeteam - criteria with current level_id
5. The Apperson format for Students Data import  (Requires a special SFIAB Setup to work - details in help)
*/

if($_POST['action'] == "SelectOptions")
{
    $option = $_POST['option'];
    $Teamnote = $_POST['teamnote'];
	if($option > 0 AND $option <= 9){
		echo "<input type=\"button\" value=\"Export File ".$option."\" onclick=\"window.open('eval_export_download.php?option=".$option."&teamnote=".$Teamnote."')\">";
	}
	else{
		echo "You entered a non-valid file number.  Please enter a correct file number from 1 to 9 in the box and click 'Select a Different File'<br />";
	}
}
else {
   $Teamnote = "Team Project";
}

	echo "<br /><form method=\"post\" action=\"eval_export.php\">";
	echo "<input type=\"hidden\" name=\"action\" value=\"SelectOptions\" />";
	echo "<b>Available Files to export:</b><br /><br />";
	echo "1. Apperson scanner scoring forms pre-slug data - csv file. One record per judgeteam - project assignment (includes scheme_id ).<br />";
	echo "2. Apperson scanner Students Data import -csv file. Requires a special SFIAB Setup to work - details in help.<br />";
	echo "3. Microsoft Word data merge document for pre-slugging Apperson score forms (use export file #1 as recipients data.) <br />";
	echo "4. Apperson score form/scanner font - Required for pre-slugging Apperson score forms (Install per your windows system instructions.)<br />";
	echo "5. Eval_schemes Table - csv file. <br />";
	echo "6. Eval_criteria Table -csv file.   <br />";
	echo "7. Eval_levels Table - csv file. <br />";
	echo "8. Eval_projects Table  - csv file. <br />";
	echo "9. Eval_projects_entries Table - csv file:  One record per judgeteam - project - criteria with current level_id (entry)<br />";
	echo "<table>";
	echo "<tr><td>Enter File Number to export</td><td><input size=\"2\" type=\"text\" name=\"option\" value=\"$option\"> ";
	echo " <input type=\"submit\" value=\"Select\">  Click the 'Export File #' button above after you click 'Select' here.</td></tr>";
	echo "<tr><td>For File #1 only: Enter pre-slug note for team projects</td><td><input size=\"20\" type=\"text\" name=\"teamnote\" value=\"$Teamnote\"></td>";
	
	echo "</table>";
	echo "</form>";
	exit;

?>
