-- ISEF Evaluation schemes, criteria, levels setup
-- Dennis Spangole
-- Feb 24, 2011
-- Revisions 1.0.0

INSERT INTO `eval_schemes` (`scheme_id`, `scheme_name`, `assignto_project_when`) VALUES
(1, 'ISEF Evaluations', 'team = no'),
(2, 'ISEF Teams pre 2011', 'team = yes');

INSERT INTO `eval_criteria` (`id`, `scheme_id`, `criteria_id`, `criteria_weight`, `criteria_name`) VALUES
(1, 1, 1, 30, 'Creative Ability'),
(2, 1, 2, 30, 'Scientific Thought'),
(3, 1, 3, 15, 'Thoroughness'),
(4, 1, 4, 15, 'Skill'),
(5, 1, 5, 10, 'Clarity'),
(6, 1, 6, 0, 'Teamwork(not used'),
(7, 2, 1, 25, 'Creative Ability'),
(8, 2, 2, 25, 'Scientific Thought'),
(9, 2, 3, 12, 'Thoroughness'),
(10, 2, 4, 12, 'Skill'),
(11, 2, 5, 10, 'Clarity'),
(12, 2, 6, 16, 'Teamwork');

INSERT INTO `eval_levels` (`id`, `scheme_id`, `level_id`, `level_value`, `level_name`, `spec_use`, `spec_use_code`) VALUES
(1, 1, 0, 0, 'No mark', 'yes', 'NoMk'),
(2, 1, 1, 1, 'Acceptable', 'no', NULL),
(3, 1, 2, 2, 'Good', 'no', NULL),
(4, 1, 3, 3, 'Very Good', 'no', NULL),
(5, 1, 4, 4, 'Excellent', 'no', NULL),
(6, 1, 5, 5, 'Exceptional', 'no', NULL),
(7, 1, 7, 7, 'MultipleMark', 'yes', 'MltM'),
(8, 2, 0, 0, 'No Mark', 'yes', 'NoMk'),
(9, 2, 1, 1, 'Acceptable', 'no', NULL),
(10, 2, 2, 2, 'Good', 'no', NULL),
(11, 2, 3, 3, 'Very Good', 'no', NULL),
(12, 2, 4, 4, 'Excellent', 'no', NULL),
(13, 2, 5, 5, 'Exceptional', 'no', NULL),
(14, 2, 7, 7, 'MultipleMark', 'yes', 'MltM');

